Bug 1724 - MySQL mysql-connector-java is needed to connect LibreOffice Base to MySQL
: MySQL mysql-connector-java is needed to connect LibreOffice Base to MySQL
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Package Requests
: Fresh
: All Linux
: Normal enhancement
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
http://www.linuxsecurity.com/content/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-24 04:39 MSK by Zombie Ryushu
Modified: 2017-05-20 15:57 MSD (History)
2 users (show)

See Also:
RPM Package: mysql-connector-java
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2013-02-24 04:39:12 MSK
The MySQL JDBC Connector is absent from Libre Office, and as a result, LibreOffice cannot use JDBC to connect to MySQL.
Comment 1 Denis Silakov 2013-02-26 16:58:08 MSK
Java stack is not very rich in Marathon, we've dropped many Java-related packages and left only those that are really necessary for the core system. So some packages necessary for mysql-connector-java (e.g., slf4j) are missing.
Comment 2 Denis Silakov 2013-12-11 11:55:41 MSK
It's unlikely that we will fix such issues for Marathon, but we will try to work on them in Desktop Fresh (maybe in the next version).
Comment 3 Stanislav Fomin 2015-04-15 18:32:35 MSD
Надо перетестировать под RED, и либо
* закрыть, если не воспроизводится
* либо приложить свежие свидетельства, будем разбираться.
Comment 4 Denis Silakov 2015-08-11 17:38:16 MSD
We still need this package in Desktop Fresh, let's move this bug there. The mysql-connector-java project was created on ABF, but we need to build slf4j first which requires more work to be done on Java stack.
Comment 5 Zombie Ryushu 2017-05-20 15:55:56 MSD
Two vulnerabilities have been found in the MySQL Connector/J JDBC driver.

For the stable distribution (jessie), these problems have been fixed in
version 5.1.42-1~deb8u1.

For the upcoming stable distribution (stretch), these problems have been
fixed in version 5.1.42-1.

For the unstable distribution (sid), these problems have been fixed in
version 5.1.42-1

Mageia has this package, import from there.
Comment 6 Zombie Ryushu 2017-05-20 15:57:18 MSD
Package        : mysql-connector-java
CVE ID         : CVE-2017-3586 CVE-2017-3589

Two vulnerabilities have been found in the MySQL Connector/J JDBC driver.

For the stable distribution (jessie), these problems have been fixed in
version 5.1.42-1~deb8u1.

For the upcoming stable distribution (stretch), these problems have been
fixed in version 5.1.42-1.

For the unstable distribution (sid), these problems have been fixed in
version 5.1.42-1.

We recommend that you upgrade your mysql-connector-java packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found